package com.fzm.mall.server.front.asset.service;

import com.fzm.mall.server.front.asset.model.dto.OrderMainDTO;
import com.fzm.mall.server.front.asset.model.po.OrderDetailPO;
import com.fzm.mall.server.front.asset.model.vo.good.OrderMainVO;
import com.fzm.mall.server.front.constant.MallResponseEnum;

import java.util.List;

/**
 * @author tdz
 * @date 2021/02/22 11:26
 */

public interface OrderMainService {

    /**
     * 用户下单
     */
    OrderMainVO order(String uid, OrderMainDTO orderMainDTO);

    /**
     * 撤销订单
     */
    default boolean undo(String oid) {
        return false;
    }

    /**
     * 删除订单
     */
    default boolean delete(String oid) {
        return false;
    }

}
